Log Out a User - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Log Out a User
Request
POST /v2.0/users/{userId}/logout
cURL Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/users/{userId}/logout \
--header 'X-API-Key: <api-key>'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/users/{userId}/logout"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript Fetch Example
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/users/{userId}/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/users/{userId}/logout",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Golang Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/users/{userId}/logout"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HTTP Response Codes
204: The session was successfully destroyed.400: Bad Request401: Unauthorized402: Payment Required403: Forbidden404: Not Found405: Method Not Allowed409: Conflict413: Payload Too Large500: Internal Server Error501: Not Implemented502: Bad Gateway503: Service Unavailable504: Gateway Timeout
Error Responses
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Authorizations
- APIKeyHeader:
X-API-Key(required) - Accept Header: Specifies media type in response (default:
application/json). Options:application/json,application/hal+json,application/xml,text/xml,text/csv.
Path Parameters
userId: The Id of the User (required string length: 24, pattern:^[a-z0-9]{24}$).